"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ConnectedExportViewerPage = void 0;

var _reactRedux = require("react-redux");

var _immutable = _interopRequireDefault(require("immutable"));

var _qs = _interopRequireDefault(require("qs"));

var _ExportViewerPage = _interopRequireDefault(require("../../components/pages/ExportViewerPage"));

var _withConfig = _interopRequireDefault(require("../../enhancers/withConfig"));

var _export = require("../../actions/export");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mapDispatchToProps = (dispatch, ownProps) => ({
  readContent: location => {
    const invocationDescriptorObject = _qs.default.parse(location.search, {
      ignoreQueryPrefix: true
    });

    const invocationDescriptor = _immutable.default.fromJS(invocationDescriptorObject);

    return dispatch((0, _export.invoke)(ownProps.config, invocationDescriptor));
  }
});

const ConnectedExportViewerPage = (0, _reactRedux.connect)(undefined, mapDispatchToProps)(_ExportViewerPage.default);
exports.ConnectedExportViewerPage = ConnectedExportViewerPage;

var _default = (0, _withConfig.default)(ConnectedExportViewerPage);

exports.default = _default;